Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci
Interface WLConnectionInfo

All Known Implementing Classes:
  Connection

public interface WLConnectionInfo

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `autocommitState()` Deprecated.
`java.lang.String` | `connectionName()` Deprecated.
`boolean` | `connectionState()` Deprecated.
`int` | `driverType()` Deprecated.
`java.lang.String` | `isolationLevel()` Deprecated.
`java.lang.String` | `lastSQL()` Deprecated.
`int` | `prefetchSize()` Deprecated.
`boolean` | `resourcesQueuing()` Deprecated.
`int` | `sharedLibVersion()` Deprecated.
`int` | `statementCount()` Deprecated.
`boolean` | `supportsPrefetch()` Deprecated.
`java.lang.String` | `weblogicVersion()` Deprecated.

Method Detail

### connectionName

    public java.lang.String connectionName()

  Deprecated.

### connectionState

    public boolean connectionState()

  Deprecated.

### autocommitState

    public boolean autocommitState()

  Deprecated.

### supportsPrefetch

    public boolean supportsPrefetch()

  Deprecated.

### prefetchSize

    public int prefetchSize()

  Deprecated.

### isolationLevel

    public java.lang.String isolationLevel()

  Deprecated.

### resourcesQueuing

    public boolean resourcesQueuing()

  Deprecated.

### weblogicVersion

    public java.lang.String weblogicVersion()

  Deprecated.

### driverType

    public int driverType()

  Deprecated.

### sharedLibVersion

    public int sharedLibVersion()

  Deprecated.

### lastSQL

    public java.lang.String lastSQL()

  Deprecated.

### statementCount

    public int statementCount()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD